#ifndef MISC_H
#define MISC_H

class GameTimer
{
	bool useQpc;
	__int64 qpcLastTick;
	float qpcFreq; 
	int gtcLastTick;

	float delta;

	float fpsTime, fps;
	int fpsCount;

public:
	void Init();

	float Tick();
	float GetTick() { return delta; }
	float GetFps() { return fps; }
};

extern GameTimer gTimer;

inline void smooth_change(float &current, float goal, float accel, float ticks)
{
	if(current==goal)
		return;

	float newvalue = current + (goal-current) * accel * ticks;
	if((goal-current) * (goal-newvalue) <= 0.f)
		current = goal;
	else
		current = newvalue;
}


#endif